Skip to content

Get package asset references

GET
/api/references/{configId}/_package/{packageName}/{assetId}
curl --request GET \
--url https://example.com/api/references/example/_package/example/example \
--header 'Authorization: Bearer <token>'

Retrieves the references for a content item within a package

configId
required

Repository configuration ID

string
packageName
required

Package name

string
assetId
required

Asset ID

string

References retrieved successfully

Media typeapplication/json
object
references

Items referenced by this asset

Array<object>
object
id
required

Referenced item ID

string
name

Referenced item name

string
type

Referenced item type

string
status

Referenced item status

string
fieldName

Field containing this reference

string
referencedBy

Items that reference this asset

Array<object>
object
id
required

Referenced item ID

string
name

Referenced item name

string
type

Referenced item type

string
status

Referenced item status

string
fieldName

Field containing this reference

string
Examplegenerated
{
"references": [
{
"id": "example",
"name": "example",
"type": "example",
"status": "example",
"fieldName": "example"
}
],
"referencedBy": [
{
"id": "example",
"name": "example",
"type": "example",
"status": "example",
"fieldName": "example"
}
]
}

Item not found

Media typeapplication/json
object
error
required

Indicates an error occurred

boolean
message
required

Error message describing what went wrong

string
Example
{
"error": true,
"message": "Item not found"
}